Get organization by ID
curl --request GET \
--url https://api.example.com/organizations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/organizations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/organizations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5a2a307be93a2f00129ea035",
"slug": "mi-empresa",
"timezone": "America/Mexico_City",
"created_at": "2017-05-05T20:55:33.468Z",
"updated_at": "2017-05-05T20:55:33.468Z",
"is_production_ready": true,
"legal": {
"name": "Mi Empresa",
"legal_name": "Mi Empresa SA de CV",
"tax_system": "601",
"website": "https://miempresa.com",
"phone": "+52 555 123 4567",
"rfc": "EKU9003173C9",
"zip": "86500",
"address": {
"street": "Blvd. Atardecer",
"exterior": "142",
"interior": "4",
"neighborhood": "Centro",
"city": "Huatabampo",
"municipality": "Huatabampo",
"zip": "86500",
"state": "Sonora"
}
},
"customization": {
"has_logo": true,
"color": "BADA55",
"next_folio_number": 123,
"next_folio_number_test": 123,
"pdf_extra": {
"codes": true,
"address_codes": true,
"product_key": true,
"round_unit_price": false,
"tax_breakdown": true,
"ieps_breakdown": true,
"render_carta_porte": false,
"repeat_signature": false
}
},
"certificate": {
"has_certificate": true,
"updated_at": "2023-05-05T20:55:33.468Z",
"expires_at": "2025-05-05T20:55:33.468Z",
"serial_number": "30001000000300000101"
},
"fiel": {
"has_fiel": true,
"updated_at": "2023-05-05T20:55:33.468Z",
"expires_at": "2025-05-05T20:55:33.468Z",
"serial_number": "30001000000300000101"
},
"receipts": {
"periodicity": "day",
"duration_days": 7,
"next_folio_number": 123,
"next_folio_number_test": 123
},
"self_invoice": {
"allowed_cfdi_uses": [
"G01",
"G03"
],
"apply_resico_isr": true,
"support_email": "soporte@miempresa.com",
"support_email_verified": true
},
"logo_url": "https://storage.example.com/organization/logo.jpg",
"pending_steps": [
{
"type": "legal",
"description": "Complete legal information"
}
]
}organizations
Get organization by ID
Retrieves organization details with normalized structure. User must be a member (owner, admin, or member) to access.
GET
/
organizations
/
{id}
Get organization by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Organization retrieved successfully with details.
Example:
"5a2a307be93a2f00129ea035"
Example:
"mi-empresa"
Example:
"America/Mexico_City"
Example:
"2017-05-05T20:55:33.468Z"
Example:
"2017-05-05T20:55:33.468Z"
Example:
true
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"https://storage.example.com/organization/logo.jpg"
Show child attributes
Show child attributes